public class circle
{
    public double radius;
    public point p;
    
    public circle()
    {   p=new point(0.0,0.0);
        radius=0.0;}

    public circle(double r, double a, double b)
    {  p=new point(a,b);
       radius=r;
    }
    
    public circle(double r, point n)
    {  p=new point(n.x,n.y);
       radius=r;
    }
    
    public circle(circle c)
    {  p=new point(c.p.x,c.p.y);
       radius=c.radius;
    }
            
    public double area()
    {return Math.PI*radius*radius;}

    public String toString()
    { return "Center = "+"["+p.x+","+p.y+"]"+"; radius="+radius;}
    
    public String name(){return "circle";}
}